<div class="form" [formGroup]="formGroup">
    <mat-form-field class="tag-form-field" appearance="fill">
        <mat-label>Tags</mat-label>
        <mat-chip-list #chipList aria-label="Tag selection" formControlName="tags">
            <mat-chip *ngFor="let tag of searchQuery.tags" (removed)="remove(tag)">
                <span class="benefit-chip ellipsis">{{tag}}</span>
                <button matChipRemove>
                    <mat-icon>cancel</mat-icon>
                </button>
            </mat-chip>
            <input matInput
                    id="chipInput"
                    [ngClass]="{ 'hide': tagsCount === maxTagsLimit }"
                    [disabled]="tagsCount === maxTagsLimit"
                    [matChipInputFor]="chipList"
                    [matChipInputAddOnBlur]="true"
                    (matChipInputTokenEnd)="add($event)">
        </mat-chip-list>
    </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-label>Country</mat-label>
        <mat-select formControlName="country">
          <mat-option>All</mat-option>
          <mat-option *ngFor="let country of availableCountries" [value]="country.iso3">
            <span class="emoji-flag">{{country.flag}}</span> {{country.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
</div>
